Avoid quoting environment variable values.
[msysgit.git] / src / libpopt / release.sh
blob5359dbb91130b2efe9fbca6cf00d9e1f52170b17
1 #!/bin/sh
3 cd "$(dirname "$0")"
5 VERSION=1.15
6 DIR=popt-$VERSION
7 URL=http://rpm5.org/files/popt/$DIR.tar.gz
8 FILE=${URL##*/}
10 die () {
11 echo "$*" >&2
12 exit 1
15 test -d $DIR || {
16 test -f $FILE ||
17 curl -O $URL ||
18 die "Could not download $FILE"
20 tar xzvf $FILE && (
21 cd $DIR &&
22 git init &&
23 git add . &&
24 git commit -m "Import of $FILE" &&
25 git am ../patches/*
27 } || die "Could not check out $FILE"
29 (cd $DIR &&
30 CFLAGS="-I/git -I/git/compat/vcbuild/include" LDFLAGS="-L/git -L/git/xdiff" LIBS="-lgit -l:lib.a -lws2_32 -lz -liconv" ./configure --prefix=/mingw &&
31 make &&
32 index=$(/share/msysGit/pre-install.sh) &&
33 make install &&
34 /share/msysGit/post-install.sh $index "Install $FILE"
35 ) || die "Could not install $FILE"